package gui.simulator.facilities;

import java.awt.geom.Rectangle2D;
import java.io.Serializable;

import gui.simulator.DrawEngine;
import gui.simulator.Images;
import gui.simulator.SimulatorPane;
import gui.simulator.Terrain;

public class SnackBar extends DrawEngine implements Serializable{

	private static Images.ImageType images = Images.ImageType.Snackbar;
	private static String facilityName = "Snackbar";

    //TODO change visibility
    public SnackBar(int x, int y, Terrain terrain) {
        super(images, x, y, 1, 0, SimulatorPane.Objects.SNACKBAR, terrain, new Rectangle2D.Double(-30, -30, 450, 450), true);
    }

    public SnackBar(int x, int y, double scale, double distance, Terrain terrain) {
        super(images, x, y, scale, distance, SimulatorPane.Objects.SNACKBAR, terrain, new Rectangle2D.Double(-30, -30, 450, 450), true);
    }
    
    public String getFacilityName(){
    	return facilityName;
    }
}
